Автор Тема: настройка Дебиан-7 для работы с iBank-2  (Прочитано 8003 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн andrei186

настройка Дебиан-7 для работы с iBank-2
« : 29 Декабря 2015, 20:08:29 »
пытаюсь настроить Дебиан-7 для работы с iBank-2
В банке выдали USB-Token от BIFITa и предложили скачать с их сайта  Драйвер USB-токена
iBank2Key-Driver-Linux-x86-1.08.sh.gz
После распаковки в фолдере Downloads получился файл
iBank2Key-Driver-Linux-x86-1.08.sh, который, как я понял, явдяется скриптом, устанавливающим драйвер.
Запустил его на выполнение командой sh iBank2Key-Driver-Linux-x86-1.08.sh
Процес пошел, но вскоре остановился:
iBank 2 Key 32-bit Driver Installer v1.08
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package pcscd is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'pcscd' has no installation candidate
E: Unable to locate package pcsc-tools
WARNING: Failed to install PC/SC Daemon (pcscd).
WARNING: USB smart card reader drivers location was not found on your system.
Enter path to USB smart card reader drivers directory (usbdropdir):
Downloads/iBank2Key-Driver-Linux-x86-1.08.sh: 61: printf: Illegal option -n
Поиск в Гугле против linux pcscd daemon принес ссылку на файл pcsc-lite-1.8.15.tar.bz2, который при распаковке в фолдер  Downloads создал там папку pcsc-lite-1.8.15, в котором, помимо прочего имеется файл configure, который инструция по установке предлагает запустить командой configure && make && make install, которая поработав немного, абортировалась с сообщением
configure: error: in `/home/a':  (это моя директория)
configure: error: no acceptable C compiler found in $PATH

Что я делаю не так?

* Используйте теги для оформления сообщения, ihammers.
« Последнее редактирование: 31 Декабря 2015, 08:12:59 от ihammers »
 

Онлайн ferum

Re: настройка Дебиан-7 для работы с iBank-2
« Ответ #1 : 29 Декабря 2015, 21:55:45 »
Конкретно по этой ошибке вам нужно доустановить в систему libpcsclite-dev а архив что вы нашли вам не нужен.
https://packages.debian.org/wheezy/pcsc-tools
Для сборки всегда нужны заголовки, остальное подтягивается по зависимостям.
« Последнее редактирование: 29 Декабря 2015, 22:02:25 от ferum »
Русские дебианщики против цифрового слабоумия !
 

Оффлайн andrei186

Re: настройка Дебиан-7 для работы с iBank-2
« Ответ #2 : 30 Декабря 2015, 12:04:35 »
libpcsclite-dev
ferum, спасибо.
Но видимо я совсем не умею пользоваться ресурсом packages.debian.org
Пройдя по указанной Вами ссылке, я не обнаружил там ссылки на скачивание libpcsclite-dev
Наиболее похожее на это название оказалось dep: libpcsclite1
Она привела на https://packages.debian.org/wheezy/libpcsclite1
Package: libpcsclite1 (1.8.4-1+deb7u1) Middleware to access a smart card using PC/SC (library)
Ссылка Download libpcsclite1 для i386  предложила добавить в sources.lis
deb http://ftp.ru.debian.org/debian wheezy main и использовать aptitude

команда # apt-get install libpcsclite-dev вернула:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package libpcsclite-dev is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package 'libpcsclite-dev' has no installation candidate

?

* Используйте теги для оформления сообщения, ihammers.
« Последнее редактирование: 31 Декабря 2015, 08:13:32 от ihammers »
 

Оффлайн qupl

Re: настройка Дебиан-7 для работы с iBank-2
« Ответ #3 : 30 Декабря 2015, 12:14:55 »
andrei186, а это что?

Оффлайн andrei186

Re: настройка Дебиан-7 для работы с iBank-2
« Ответ #4 : 30 Декабря 2015, 12:26:33 »
andrei186, а это что?
это ведет на страницу https://packages.debian.org/wheezy/i386/libpcsclite-dev/download, на которой я уже был, и которая предписывает добавить в sources.list
deb http://ftp.ru.debian.org/debian wheezy main и использовать aptitude, на чем я ранее уже потерпел неудачу (см мой предыдущий)
 
« Последнее редактирование: 30 Декабря 2015, 12:30:36 от andrei186 »
 

Оффлайн qupl

Re: настройка Дебиан-7 для работы с iBank-2
« Ответ #5 : 30 Декабря 2015, 12:36:32 »
На ней много ссылок, не только для wheezy.

Оффлайн andrei186

Re: настройка Дебиан-7 для работы с iBank-2
« Ответ #6 : 30 Декабря 2015, 13:52:18 »
На ней много ссылок, не только для wheezy.
так у меня-то  wheezy
Которую ссылку посоветуете выбрать?
А потом проясните, как это работает:
команду я набираю # apt-get install libpcsclite-dev,
а версий  libpcsclite-dev множество.
Как указать, которую именно версию я хочу поставить?
 

Оффлайн qupl

Re: настройка Дебиан-7 для работы с iBank-2
« Ответ #7 : 30 Декабря 2015, 14:06:54 »
aptitude update
aptitude install libpcsclite-dev

Оффлайн andrei186

Re: настройка Дебиан-7 для работы с iBank-2
« Ответ #8 : 30 Декабря 2015, 14:45:23 »
коль apt-get по указанному там адресу не находит пакета libpcsclite-dev, попробовал план В: скачал libpcsclite-dev_1.8.4-1+deb7u1_i386.deb  и запустил его из рута при помощи dpkg -i
прошло гладко, но последующая apt-get update принесло кучу ошибок:
Err http://download.videolan.org stable/main Sources                                                           
  404  Not Found [IP: 88.191.250.2 80]
Err http://download.videolan.org stable/main i386 Packages                                             
  404  Not Found [IP: 88.191.250.2 80]
100% [Waiting for headers]
W: Failed to fetch http://download.videolan.org/pub/videolan/debian/dists/stable/main/source/Sources  404  Not Found [IP: 88.191.250.2 80]
W: Failed to fetch http://download.videolan.org/pub/videolan/debian/dists/stable/main/binary-i386/Packages  404  Not Found [IP: 88.191.250.2 80]
W: Failed to fetch http://ftp.ru.debian.org/debian/dists/stable/contrib/binary-i386/Packages  404  Not Found
W: Failed to fetch http://ftp.ru.debian.org/debian/dists/stable/non-free/binary-i386/Packages  404  Not Found
W: Failed to fetch http://ftp.ru.debian.org/debian/dists/stable/contrib/i18n/Translation-en  Bad header line
E: Some index files failed to download. They have been ignored, or old ones used instead.
Не знаю, напсколько это критично,  попытка запустить iBank2Key-Driver-Linux-x86-1.08.sh закончилась как и раньше (см первоначальный пост), хотя с другими комментариями:
iBank 2 Key 32-bit Driver Installer v1.08
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 libglib2.0-0 : Breaks: glib-networking (< 2.33.12) but 2.32.3-1 is to be installed
 pcsc-tools : Depends: libgtk2-perl but it is not going to be installed
W: Duplicate sources.list entry http://ftp.debian.org/debian/ wheezy-updates/main i386 Packages (/var/lib/apt/lists/ftp.debian.org_debian_dists_wheezy-updates_main_binary-i386_Packages)
W: Duplicate sources.list entry http://ftp.debian.org/debian/ wheezy-updates/contrib i386 Packages (/var/lib/apt/lists/ftp.debian.org_debian_dists_wheezy-updates_contrib_binary-i386_Packages)
W: You may want to run apt-get update to correct these problems
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.
WARNING: Failed to install PC/SC Daemon (pcscd).
WARNING: USB smart card reader drivers location was not found on your system.
Enter path to USB smart card reader drivers directory (usbdropdir):
Downloads/iBank2Key-Driver-Linux-x86-1.08.sh: 61: printf: Illegal option -n


Cообщение объединено 30 Декабря 2015, 15:02:47
aptitude update
aptitude install libpcsclite-dev
я именно это и делаю, только с apt-get.
libpcsclite-dev вроде установился при помощи dpkg
На всякий случай повторил через aptitude- тот же результат, но теперь выполнение sh iBank2Key-Driver-Linux-x86-1.08.sh приносит меньше ошибок:
The following packages have unmet dependencies:
 libglib2.0-0 : Breaks: glib-networking (< 2.33.12) but 2.32.3-1 is to be installed
 pcsc-tools : Depends: libgtk2-perl but it is not going to be installed
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.
WARNING: Failed to install PC/SC Daemon (pcscd).
WARNING: USB smart card reader drivers location was not found on your system.
Enter path to USB smart card reader drivers directory (usbdropdir):
Downloads/iBank2Key-Driver-Linux-x86-1.08.sh: 61: printf: Illegal option -n

ПС. На всякий случай, как в Виндах, я не втыкаю usb token до установки драйвера - Может в Линуксе надо воткнуть ДО того?

* Используйте теги для оформления сообщения, ihammers.
« Последнее редактирование: 31 Декабря 2015, 08:14:57 от ihammers »
 

Оффлайн qupl

Re: настройка Дебиан-7 для работы с iBank-2
« Ответ #9 : 31 Декабря 2015, 06:39:39 »
Может в Линуксе надо воткнуть ДО того?
Не может. В линуксе нужно включать голову и читать вывод команд, которые пытаетесь использовать.
Не все зависимости установились, каких не хватает, написано в вашем предыдущем посте.
Стоит задуматься почему apt-get/aptitude не находит пакет, который находится в ветке main оф.репозитория. Внимательно посмотрите на свой список источников apt.

Онлайн ferum

Re: настройка Дебиан-7 для работы с iBank-2
« Ответ #10 : 31 Декабря 2015, 09:19:22 »
Да уж, просить вывод.
cat  /etc/apt/sources.list
ls /etc/apt/sources.list.d
стало дежурным советом.
Русские дебианщики против цифрового слабоумия !
 

Оффлайн andrei186

Re: настройка Дебиан-7 для работы с iBank-2
« Ответ #11 : 31 Декабря 2015, 13:07:46 »
Может в Линуксе надо воткнуть ДО того?
Не может. В линуксе нужно включать голову и читать вывод команд, которые пытаетесь использовать.
Не все зависимости установились, каких не хватает, написано в вашем предыдущем посте.
Стоит задуматься почему apt-get/aptitude не находит пакет, который находится в ветке main оф.репозитория. Внимательно посмотрите на свой список источников apt.
включать голову, в которой нет знания, все равно, что включать компьютер, в котором нет ОС. Мужики, я смотрю внимательно списки, и люпачу Гугл, но имеющихся у меня знаний не хватает, чтобы сделать из увиденного какие-либо выводы, подсказываюшие нужные действия


Cообщение объединено 31 Декабря 2015, 13:28:41
Да уж, просить вывод.
cat  /etc/apt/sources.list
ls /etc/apt/sources.list.d
стало дежурным советом.
мне вчера дали такой совет в параллельном форуме, и поздравили, что я являюсь счастливым владельцем ФранкенштейнЛинукса. Потому что в моем листе присутствуют ссылки на stable, которые были кошерными до выхода в свет jessie, но которые после приобретения jessie  стабильного статуса превратили мой Дебиан в гибрид, которыей если не сегодня, то завтра обязательно взорвется.

cat /etc/apt/sources.lis  вчера возвращало следующее  ("Вчера" - потому что сегодня я удалил ссылки на stable):
 # deb cdrom:[Debian GNU/Linux 7.3.0 _Wheezy_ - Official i386 DVD Binary-1 20131215-03:40]/ wheezy contrib main
# deb cdrom:[Debian GNU/Linux 7.3.0 _Wheezy_ - Official i386 DVD Binary-1 20131215-03:40]/ wheezy contrib main
# Line commented out by installer because it failed to verify:
#deb http://security.debian.org/ wheezy/updates main contrib
# Line commented out by installer because it failed to verify:
#deb-src http://security.debian.org/ wheezy/updates main contrib
# wheezy-updates, previously known as 'volatile'
# A network mirror was not selected during install. The following entries
# are provided as examples, but you should amend them as appropriate
# for your mirror of choice.
#
deb http://ftp.debian.org/debian/ wheezy-updates main contrib
deb-src http://ftp.debian.org/debian/ wheezy-updates main contrib

#apt-get update

deb http://ftp.ru.debian.org/debian/ wheezy main
#deb https://packages.debian.org/ wheezy
#deb-src https://packages.debian.org/ wheezy
deb http://ftp.ru.debian.org/debian stable main contrib non-free
deb http://ftp.debian.org/debian/ wheezy-updates main contrib non-free

deb http://security.debian.org/ wheezy/updates main contrib non-free
deb http://deb.opera.com/opera/ stable non-free #Opera Browser (final releases)

deb http://download.videolan.org/pub/videolan/debian stable main
deb-src http://download.videolan.org/pub/videolan/debian stable main
deb http://http.debian.net/debian wheezy-backports main
deb http://www.deb-multimedia.org/ wheezy main non-free
cat: /etc/apt/sources.list.d/*: No such file or directory
/code]
ls /etc/apt/sources.list.d   ничего не возвращает. что, если я правильно понял описание этой команды, означает, что других списков репозитариев у меня нет



« Последнее редактирование: 31 Декабря 2015, 13:33:36 от andrei186 »
 

Онлайн ferum

Re: настройка Дебиан-7 для работы с iBank-2
« Ответ #12 : 31 Декабря 2015, 14:10:07 »
Сейчас очень проблематично дать невредный совет. Во первых откатиться до wheezy   едва ли теперь реально если задеты системные пакеты, а это скорее всего и понизить их версию крайне сложно. Во вторых если переписать сейчас sources.list  под jessie  можно обновиться до неё но могут быть отдельные неполадки. Самый сложный вопрос рассчитана ли ваша программа  для установки на jessie, если нет придётся переустанавливать систему на wheezy, если рассчитана всё равно лучше сделать чистую установку.
Русские дебианщики против цифрового слабоумия !
 

Оффлайн andrei186

Re: настройка Дебиан-7 для работы с iBank-2
« Ответ #13 : 31 Декабря 2015, 14:49:17 »
Сейчас очень проблематично дать невредный совет. Во первых откатиться до wheezy   едва ли теперь реально если задеты системные пакеты, а это скорее всего и понизить их версию крайне сложно. Во вторых если переписать сейчас sources.list  под jessie  можно обновиться до неё но могут быть отдельные неполадки. Самый сложный вопрос рассчитана ли ваша программа  для установки на jessie, если нет придётся переустанавливать систему на wheezy, если рассчитана всё равно лучше сделать чистую установку.
Т.е. Вы полагаете, что проблемы с установкой iBank приключились из-за винегрета в   sources.list ?
я уж и сам склоняюсь к тому, чтобы заново переустановить Дебиан, причем сразу jessie и смотреть, как она заглотит этот драйвер.
Получить заранее информацию о совемстимости с версиями Дебиана невозможно, бо в Банке не знают даже на каких версиях линукса это должно работать, а разработчик этого софта BIFIT на своем сайте повесил, что общается только с банками, а конечных пользователей посылает к лесу
 

Онлайн ferum

Re: настройка Дебиан-7 для работы с iBank-2
« Ответ #14 : 31 Декабря 2015, 15:35:36 »
В настоящий момент я знаю только то что для установки необходимого вам драйвера необходимы некоторые сборочные зависимости. В свою очередь вы не можете их установить из за неправильно настроенного sources.list .
По скольку вы всё равно уже собрались переустановить систему, я бы поступил следующим образом.
1) Сделал бэкап необходимых вам данных.
2) Довёл sources.list до состояния jessie
deb http://ftp.ru.debian.org/debian/ jessie main contrib non-free
deb-src http://ftp.ru.debian.org/debian/ jessie main

deb http://security.debian.org/ jessie/updates main
deb-src http://security.debian.org/ jessie/updates main

# jessie-updates, previously known as 'volatile'
deb http://ftp.ru.debian.org/debian/ jessie-updates main
deb-src http://ftp.ru.debian.org/debian/ jessie-updates main

3) Обновился до jessie
apt-get update
apt-get -f install
apt-get upgrade
apt-get dist-upgrade
4) В случае успешного обновления пробовал бы установить нужный вам драйвер.
Если в процессе установки будут проблемы, попробуем их здесь порешать. В крайнем случае можете дать материал для установки драйвера и указать дистрибутив и архитектуру на который вы хотите его установить, попробуем тогда найти пути решения на виртуалке.
З.Ы. использовать "испорченный телефон" иногда вредно для дела.
Русские дебианщики против цифрового слабоумия !
 

Теги:
     

    Настройка ТачПада

    Автор vladles

    Ответов: 5
    Просмотров: 2307
    Последний ответ 06 Января 2014, 21:10:39
    от Tranetor
    Настройка МФУ hp laserjet m1214nfh mfp

    Автор пЪяны

    Ответов: 14
    Просмотров: 9703
    Последний ответ 13 Декабря 2013, 18:00:18
    от sandaksatru
    Настройка APC Back-UPS CS 650

    Автор Sergikjan

    Ответов: 13
    Просмотров: 4039
    Последний ответ 07 Мая 2017, 00:14:01
    от Sergikjan
    lightdm настройка расположения нескольких дисплеев на AMD.

    Автор DedMoroz

    Ответов: 5
    Просмотров: 599
    Последний ответ 17 Декабря 2020, 10:07:37
    от DedMoroz
    Настройка принтера Canon LBP6000

    Автор il_art

    Ответов: 0
    Просмотров: 5312
    Последний ответ 07 Января 2013, 17:09:22
    от il_art